## org.apache.mahout.math
Class MurmurHash3

    java.lang.Object
      org.apache.mahout.math.MurmurHash3

    public final class MurmurHash3

extends Object

This produces exactly the same hash values as the final C+ + * version of MurmurHash3 and is thus suitable for producing the same hash values across platforms.

The 32 bit x86 version of this hash should be the fastest variant for relatively short keys like ids.

Note - The x86 and x64 versions do _not_ produce the same results, as the algorithms are optimized for their respective platforms.

See also http://github.com/yonik/java_util for future updates to this file.

Method Summary
`static int` `murmurhash3x8632(byte[] data, int offset, int len, int seed)` Returns the MurmurHash3_x86_32 hash.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### murmurhash3x8632

    public static int murmurhash3x8632(byte[] data,
                                       int offset,
                                       int len,
                                       int seed)

  Returns the MurmurHash3_x86_32 hash.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.